# Rally Rush: godot::WeaponPickup Class Reference

Loading...
Searching...
No Matches
godot::WeaponPickup Class Reference

Item box that can be found around the map. Triggers a pickup on the player when hit. More...

`#include <weapon_pickup.hpp>`

Inheritance diagram for godot::WeaponPickup:

## Public Member Functions

virtual void | _enter_tree () override
| connect body entered observer
void | body_entered (Node3D *node)
| If entered node is a CarPlayer, select a random pickup and activate it.

## Private Member Functions

| GDCLASS (WeaponPickup, Area3D)

## Static Private Member Functions

static void | _bind_methods ()
| required to be a valid godot class

## Private Attributes

RandomNumberGenerator | rng

## Detailed Description

Item box that can be found around the map. Triggers a pickup on the player when hit.

## Member Function Documentation

## _bind_methods()

void godot::WeaponPickup::_bind_methods | ( |  | ) |

staticprivate

required to be a valid godot class

## _enter_tree()

void godot::WeaponPickup::_enter_tree | ( |  | ) |

overridevirtual

connect body entered observer

## body_entered()

void godot::WeaponPickup::body_entered | ( | Node3D * | node | ) |

If entered node is a CarPlayer, select a random pickup and activate it.

## GDCLASS()

godot::WeaponPickup::GDCLASS | ( | WeaponPickup | ,
|  | Area3D |
| ) |  |

private

## Member Data Documentation

## rng

RandomNumberGenerator godot::WeaponPickup::rng

private

The documentation for this class was generated from the following files:

- src/weapon_pickup.hpp
- src/weapon_pickup.cpp